Skip to main content
GET
/
schedule
/
v1
/
check-incidences
/
employees
/
{employeeId}
Get Employee Check Incidences
curl --request GET \
  --url https://api-{region}.sesametime.com/schedule/v1/check-incidences/employees/{employeeId} \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "checkIncidenceStatus": "pending",
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "employee": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "Lucas",
        "lastName": "García",
        "email": "jsmith@example.com",
        "workStatus": "online",
        "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
        "code": 1,
        "pin": 1000,
        "phone": "+34 111 11 11 11",
        "company": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "notificationEmail": "jsmith@example.com",
          "language": "<string>",
          "createdAt": "2020-01-01T10:00:00+01:00",
          "updatedAt": "2020-01-01T10:00:00+01:00"
        },
        "gender": "female",
        "contractId": "<string>",
        "nid": "<string>",
        "identityNumberType": "dni",
        "secondaryIdentityNumberType": "dni",
        "secondaryNid": "<string>",
        "ssn": "<string>",
        "pricePerHour": 123,
        "accountNumber": "<string>",
        "dateOfBirth": "2023-12-25",
        "customFields": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "slug": "<string>",
            "type": "<string>",
            "value": "<string>",
            "createdAt": "2020-01-01T10:00:00+01:00",
            "updatedAt": "2020-01-01T10:00:00+01:00"
          }
        ],
        "createdAt": "2020-01-01T10:00:00+01:00",
        "updatedAt": "2020-01-01T10:00:00+01:00",
        "status": "active",
        "children": 2,
        "disability": 25,
        "address": "<string>",
        "postalCode": "<string>",
        "city": "<string>",
        "province": "<string>",
        "country": "ES",
        "nationality": "ES",
        "nationalities": [
          "ES",
          "FR"
        ],
        "personalMail": "jsmith@example.com",
        "maritalStatus": "<string>",
        "emergencyPhone": "<string>",
        "description": "<string>",
        "salaryRange": "<string>",
        "studyLevel": "<string>",
        "professionalCategoryCode": "<string>",
        "professionalCategoryDescription": "<string>",
        "bic": "<string>",
        "jobChargeId": "<string>",
        "jobChargeName": "<string>",
        "jobChargeDescription": "<string>",
        "jobChargeCompetencies": "<string>",
        "language": "es-ES",
        "workPhone": "+34 111 11 11 11",
        "mainRecruiter": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "firstName": "Lucas",
          "lastName": "García",
          "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
          "email": "jsmith@example.com",
          "workStatus": "online",
          "workCheckTypeColor": "#FF0000",
          "workCheckTypeName": "Remote"
        },
        "nfc": "<string>",
        "contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "checkIncidenceType": "<string>",
      "checkType": "<string>",
      "resolvedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "resolverRole": "<string>",
      "sentNotificationMail": "2020-01-01T10:00:00+01:00",
      "sentNotificationPanel": "2020-01-01T10:00:00+01:00",
      "check": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "employeeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "checkIn": {
          "date": "2020-01-01T10:00:00+01:00",
          "coordinates": {
            "latitude": 123,
            "longitude": 123
          }
        },
        "checkOut": {
          "date": "2020-01-01T10:00:00+01:00",
          "coordinates": {
            "latitude": 123,
            "longitude": 123
          }
        }
      },
      "checkData": {
        "checkDate": "2020-01-01T10:00:00+01:00",
        "coordinates": {
          "latitude": 123,
          "longitude": 123
        }
      },
      "metadata": {}
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Path Parameters

employeeId
string<uuid>
required

The ID of the employee

Query Parameters

checkIncidenceStatus[in]
enum<string>[]

Filter by check incidence status

Available options:
pending,
revised
checkIncidenceType[in]
string[]

Filter by check incidence type

checkType[in]
string[]

Filter by check type

fromDate[gte]
string<date>

Filter by date from

toDate[lte]
string<date>

Filter by date to

createdAt[gte]
string<Y-m-dTH:i:sP>

Filter by created date from

Example:

"2020-01-01T10:00:00+01:00"

createdAt[lte]
string<Y-m-dTH:i:sP>

Filter by created date to

Example:

"2020-01-01T10:00:00+01:00"

updatedAt[gte]
string<Y-m-dTH:i:sP>

Filter by updated date from

Example:

"2020-01-01T10:00:00+01:00"

updatedAt[lte]
string<Y-m-dTH:i:sP>

Filter by updated date to

Example:

"2020-01-01T10:00:00+01:00"

limit
integer
default:20

Number of items per page

page
integer
default:1

Page number

orderBy
string

Order results by field(s). Example: createdAt asc, updatedAt desc

Response

200 - application/json

List of Check Incidences

data
object[]
meta
object